GET /api/v3/search

Searches for Accounts, Meters, Cost Centers, Places, Place Groups, Emissions Sources, Collections, Vendors, and Bills that match the provided query text. For the bill search to return any results, the query text should be an exact match to a bill ID.

GetSearchResultV3
Unless searching by id, not all properties on child objects are set in the response DTO, this is for performance reasons

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
query The text to search string Optional
limit The maximum number of items to return per entity type. Defaults to 10, valid range of 0 to 100. 0 is treated as default for backwards compatibility reasons. integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

SearchResponse
Property Description Type
accounts The collection of accounts SearchAccountChild[]
SearchAccountChild properties
Property Description Type
result SearchAccountChild+SearchAccountChild
SearchAccountChild+SearchAccountChild properties
Property Description Type
accountCode The Account code Required Must be between 0 and 32 characters string
accountCodeAliases An array of account code aliases string[]
accountId The Account identifier integer (int32)
accountInfo The Account info Required Must be between 0 and 50 characters string
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
active Indicates whether the Account is active or inactive boolean
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
parentPath The collection of cost centers representing the path to its parent CostCenterChild[]
CostCenterChild properties
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
previousAccountCode The previous Account code string
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
bills The collection of bills SearchBillChild[]
SearchBillChild properties
Property Description Type
result SearchBillChild+SearchBillChild
SearchBillChild+SearchBillChild properties
Property Description Type
account SearchBillChild+SearchBillAccountChild
SearchBillChild+SearchBillAccountChild properties
Property Description Type
accountCode The Account code string
accountId The Account identifier integer (int32)
accountInfo The Account info string
billId The bill identifier integer (int32)
billingPeriod The bill’s billing period integer (int32)
collections The collection of CarbonHub collections SearchCollectionChild[]
SearchCollectionChild properties
Property Description Type
result SearchCollectionChild+SearchCollection
SearchCollectionChild+SearchCollection properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
parentPath The collection of CarbonHub collections representing the path to its parent CollectionChild[]
CollectionChild properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
costCenters The collection of cost centers SearchCostCenterChild[]
SearchCostCenterChild properties
Property Description Type
result SearchCostCenterChild+SearchCostCenter
SearchCostCenterChild+SearchCostCenter properties
Property Description Type
costCenterCode The cost center code Required Must be between 0 and 32 characters string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info Required Must be between 0 and 50 characters string
parentPath The collection of cost centers representing the path to its parent CostCenterChild[]
CostCenterChild properties
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
emissionSources The collection of CarbonHub emissions sources SearchEmissionSourceChild[]
SearchEmissionSourceChild properties
Property Description Type
result SearchEmissionSourceChild+SearchEmissionSource
SearchEmissionSourceChild+SearchEmissionSource properties
Property Description Type
active Indicates whether or not the emissions source is active boolean
city The address city string
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
country The address country string
emissionSourceCode The emissions source code string
emissionSourceId The emissions source identifier integer (int32)
emissionSourceInfo The emissions source info string
line1 The address first line string
line2 The address second line string
line3 The address third line string
parentPath The collection of CarbonHub collections representing the path to its parent CollectionChild[]
CollectionChild properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
postalCode The address postal code string
state The address state string
meters The collection of meters SearchMeterChild[]
SearchMeterChild properties
Property Description Type
result SearchMeterChild+SearchMeterChild
SearchMeterChild+SearchMeterChild properties
Property Description Type
accounts The collection of accounts MeterAccountChild[]
MeterAccountChild properties
Property Description Type
accountCode The code of the MeterAccount for this MeterAccount meter string
accountGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
accountId The MeterAccount identifier for this MeterAccount meter integer (int32)
accountInfo The info of the MeterAccount for this MeterAccount meter string
accountMeterId The MeterAccount meter identifier integer (int32)
active Indicates whether the Account is active or inactive boolean
dataAccessReleaseId The data access release identifier for this MeterAccount meter relationship, null if there is no release integer (int32)
endDate The ending date and time for this MeterAccount meter relationship string (date-time)
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
meterGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
startDate The beginning date and time for this MeterAccount meter relationship string (date-time)
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
vendorType VendorTypeChild
VendorTypeChild properties
Property Description Type
vendorTypeCode The vendor type code string
vendorTypeId The vendor type identifier integer (int32)
active Indicates whether the meter is Active boolean
billEntryNote The bill entry note string
city The address city string
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
country The address country string
includeInEnergyStar Indicates if the building is included in ENERGY STAR submissions boolean
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
line1 The address first line string
line2 The address second line string
line3 The address third line string
meterCode The meter code Required Must be between 0 and 32 characters string
meterId The meter identifier integer (int32)
meterInfo The meter info Required Must be between 0 and 50 characters string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
parentPath The collection of places representing the path to its parent SearchParentPlaceChild[]
SearchParentPlaceChild properties
Property Description Type
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
postalCode The address postal code string
previousSerialNumber The previous serial number of the meter string
properties An array of meter properties object
state The address state string
placeGroups The collection of place groups SearchPlaceGroup[]
SearchPlaceGroup properties
Property Description Type
result PlaceGroupChild
PlaceGroupChild properties
Property Description Type
autoGroup Indicates if this place group is an autogroup boolean
placeGroupCode The place group code string
placeGroupId The place group identifier integer (int32)
placeGroupInfo The place group info string
userDefinedAutoGroup Indicates if this place group is an user defined auto group boolean
places The collection of places SearchPlaceChild[]
SearchPlaceChild properties
Property Description Type
result SearchPlaceChild+SearchPlaceChild
SearchPlaceChild+SearchPlaceChild properties
Property Description Type
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
parentPath The collection of places representing the path to its parent SearchParentPlaceChild[]
SearchParentPlaceChild properties
Property Description Type
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
placeCode The place code Required Must be between 0 and 32 characters string
placeId The place identifier integer (int32)
placeInfo The place info Required Must be between 0 and 50 characters string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
vendors The collection of vendors SearchVendorChild[]
SearchVendorChild properties
Property Description Type
result SearchVendorChild+SearchVendorChild
SearchVendorChild+SearchVendorChild properties
Property Description Type
remitAddress AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
vendorCode The vendor code string
vendorCodeAliases An array of vendor code aliases string[]
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
Example Response application/json
{  "accounts": [
    {    "result": {      "accountCode": "string",      "accountCodeAliases": [],      "accountId": 1,      "accountInfo": "string",      "accountType": {},      "active": false,      "address": {},      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "parentPath": [],      "previousAccountCode": "string",      "vendor": {}
    }
  }
  ],  "bills": [
    {    "result": {      "account": {},      "billId": 1,      "billingPeriod": 1
    }
  }
  ],  "collections": [
    {    "result": {      "collectionCode": "string",      "collectionIcon": {},      "collectionId": 1,      "collectionInfo": "string",      "parentPath": []
    }
  }
  ],  "costCenters": [
    {    "result": {      "costCenterCode": "string",      "costCenterId": 1,      "costCenterInfo": "string",      "parentPath": []
    }
  }
  ],  "emissionSources": [
    {    "result": {      "active": false,      "city": "string",      "commodity": {},      "country": "string",      "emissionSourceCode": "string",      "emissionSourceId": 1,      "emissionSourceInfo": "string",      "line1": "string",      "line2": "string",      "line3": "string",      "parentPath": [],      "postalCode": "string",      "state": "string"
    }
  }
  ],  "meters": [
    {    "result": {      "accounts": [],      "active": false,      "billEntryNote": "string",      "city": "string",      "commodity": {},      "country": "string",      "includeInEnergyStar": false,      "isCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "line1": "string",      "line2": "string",      "line3": "string",      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "parentPath": [],      "postalCode": "string",      "previousSerialNumber": "string",      "properties": {},      "state": "string"
    }
  }
  ],  "placeGroups": [
    {    "result": {      "autoGroup": false,      "placeGroupCode": "string",      "placeGroupId": 1,      "placeGroupInfo": "string",      "userDefinedAutoGroup": false
    }
  }
  ],  "places": [
    {    "result": {      "address": {},      "parentPath": [],      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    }
  }
  ],  "vendors": [
    {    "result": {      "remitAddress": {},      "vendorCode": "string",      "vendorCodeAliases": [],      "vendorId": 1,      "vendorInfo": "string"
    }
  }
  ]
}